Deployments.ai Docs
Tools

Show what a tool policy or an agent deployment's pinned policies decide for tools (no side effects)

POST /v1/tool-policies/evaluate · SDK evaluateToolPolicy · CLI deployments tool-policy evaluate

POST
/v1/tool-policies/evaluate

Requires tools:read.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Header Parameters

x-deployments-environment*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Request Body

application/json
  1. body
toolNames*array<>
Items1 <= items <= 100
toolPolicyId*string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$

Response Body

EvaluateToolPolicyResponse

application/json
  1. response
agentDeploymentId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
agentReleaseId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
results*array<>
toolPolicyId?string
Match^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$
curl -X POST "https://example.com/v1/tool-policies/evaluate" \  -H "x-deployments-environment: string" \  -H "Content-Type: application/json" \  -d '{    "toolNames": [      "string"    ],    "toolPolicyId": "string"  }'
{  "agentDeploymentId": "string",  "agentReleaseId": "string",  "results": [    {      "action": "allow",      "basis": "default",      "catalogStatus": "active",      "matchedRuleIndex": 0,      "policyApplies": true,      "reason": "string",      "toolName": "string",      "toolPolicyId": "string"    }  ],  "toolPolicyId": "string"}